// Plugins.h, v1.3
//

// Commands (PasswordsPro -> Plugin)

#define PPC_INIT		0
#define PPC_SHOW		1
#define PPC_PASSWORD_FOUND	0x10
#define PPC_ATTACK_FINISHED	0x11
#define PPC_ATTACK_INTERRUPTED	0x12

// Messages (Plugin -> PasswordsPro)

#define PPM_GENERATE_HASH	0x7F00
#define PPM_ADD_HASH		0x7F01
#define PPM_GET_HASH		0x7F02
#define PPM_MODIFY_HASH		0x7F03
#define PPM_DELETE_HASH		0x7F04

// Flags for PLUGININFO structure

#define PPF_PASSWORD_FOUND	0x00000001
#define PPF_ATTACK_FINISHED	0x00000002
#define PPF_ATTACK_INTERRUPTED	0x00000004
#define PPF_UPDATE_STATUS_BAR	0x00010000
#define PPF_VERIFY_HASHES	0x00020000

#define PPF_ALL_HASHES		0x00000000
#define PPF_SELECTED_HASHES	0x80000000
#define PPF_MARKED_HASHES	0x40000000
#define PPF_FOUND_HASHES	0x20000000
#define PPF_NOT_FOUND_HASHES	0x10000000

#define SKIPPED			-1

// Structures

typedef struct
{
	HINSTANCE hPlugin;
	HWND hWnd;
	char szFile[MAX_PATH];
	char *szLanguage;
	char *szSettings;
	DWORD dwReservedA[11];
	char *szName;
	char *szAbout;
	DWORD dwFlags;
	DWORD dwReservedB[13];
} PLUGININFO;

typedef struct
{
	char *szName;
	int nNameLen;
	char *szHash;
	int nHashLen;
	char *szSalt;
	int nSaltLen;
	char *szPassword;
	int nPasswordLen;
	char *szComment;
	int nCommentLen;
	char *szType;
	DWORD dwReserved[5];
} PASSWORDINFO;
